extern HWND createListView(HWND hWnd);
extern void showListView(HWND hListview, int cn);
extern bool searchRSCs( HWND );
extern LRESULT startListviewSort( HWND hwndListView, int n );
extern void resizeListView(HWND hParent,HWND hListBox, HWND hStatusBar, HWND hListView);
extern int  search_iImage(HWND hwndListView, int iImage); //指定されたiImageを持つ番号を返す
extern void resizeListView(HWND hParent, HWND hListCategory, HWND hStatusBar, HWND hListView);
extern bool	callhelp(HWND hWnd, const char *helpfile, UINT contextid);
extern bool callhelp2(HWND hWnd, const char *htmlfile);

extern short wLVStyle;
extern bool bLVFirstItemFile;	// リストビューの第1項目をファイル名にする

extern bool rebarMove( HWND hMainWindow, int fwKeys, POINT *po );
extern HWND hBar;  // リストビューとカテゴリビューを隔てるバー
extern HWND hBarh; // カテゴリビューとナビゲータを隔てるバー
extern int  lbdx;  // カテゴリとリストビューの間のバーをドラッグしているとき、バーの左端とマウス位置の差（0のとき：非ドラッグ状態）
extern int  lbdy;  // カテゴリとナビゲータの間のバーをドラッグしているとき、バーの上端とマウスの位置の差（0のとき：非ドラッグ状態）
extern int  iBarVx, iBarHy; // レジストリから読み出されたバー位置

#define LVORDER_LAST		0		// 前回と同じ
#define LVORDER_NAME_ASC	1
#define LVORDER_NAME_DESC	-1
#define LVORDER_INFO_ASC	2
#define LVORDER_INFO_DESC	-2
#define LVORDER_FILE_ASC	3
#define LVORDER_FILE_DESC	-3
#define LVORDER_DATE_ASC	4
#define LVORDER_DATE_DESC	-4
#define LVORDER_SIZE_ASC	5
#define LVORDER_SIZE_DESC	-5
#define LVORDER_AUTH_ASC	6
#define LVORDER_AUTH_DESC	-6
#define LVORDER_GROUPVIEW	99
